summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/hornet/import11
1 files changed, 7 insertions, 4 deletions
diff --git a/bin/hornet/import b/bin/hornet/import
index 677f5cc..307d56b 100755
--- a/bin/hornet/import
+++ b/bin/hornet/import
@@ -1,7 +1,10 @@
#!/bin/sh
-if svst unclutter; then
- svdn unclutter > /dev/null
- trap "svup unclutter > /dev/null" EXIT
-fi
+for service in unclutter compton; do
+ if svst $service; then
+ svdn $service >/dev/null
+ # shellcheck disable=SC2064
+ trap "svup $service > /dev/null" EXIT
+ fi
+done
/usr/bin/import "$@"